Bug 172512 - eggcups crash when starting printer
eggcups crash when starting printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-05 14:05 EST by cameleon078
Modified: 2008-03-09 13:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 13:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cameleon078 2005-11-05 14:05:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I start my printer, a canon i560, a window appears with an error message : "The Application "eggcups" has quit unexpectedly" but I can print my document correctly. I use turboprint (http://www.turboprint.de/english.html) with cups. I don't know if it is a eggcups or a turboprint problem. I want to find the problem (in src) but when I start manually eggcups, I have this message : 
** (eggcups:10823): CRITICAL **: couldn't connect to session bus: Unable to determine the address of the message bus

Version-Release number of selected component (if applicable):
desktop-printing-0.18-10

How reproducible:
Always

Steps to Reproduce:
1.start printer
2.
3.
  

Additional info:
Comment 1 Han-Wen Nienhuys 2006-06-06 04:06:40 EDT
me too!

I have had this problem for ages, and FC5 still exhibits it.
Here is the stacktrace from bug-buddy.


Backtrace was generated from '/usr/bin/eggcups'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208969536 (LWP 14963)]
0x0029a402 in __kernel_vsyscall ()
#0  0x0029a402 in __kernel_vsyscall ()
#1  0x00324c0b in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x0677ee26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0029a402 in __kernel_vsyscall ()
#5  0x00c76069 in raise () from /lib/libc.so.6
#6  0x00c77671 in abort () from /lib/libc.so.6
#7  0x04688c42 in g_logv () from /usr/lib/libglib-2.0.so.0
#8  0x04688c79 in g_log () from /usr/lib/libglib-2.0.so.0
#9  0x04688cf6 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#10 0x080517e5 in job_timeout_cb (mon=0x83a6b30, 
    printer_name=0x836ddd0 "localhost", job_id=977, last_time=0x837be88, 
    model=0x83a3068) at ec-job-model.c:308
#11 0x0025cf6d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#12 0x0026da3d in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#13 0x0026ef47 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#14 0x0026f109 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#15 0x0804fff1 in check_emit_job_timeout (mon=0x83a6b30, 
    host=0x836fb40 "localhost", monjob=0x837be80) at ec-cups-job-monitor.c:352
#16 0x08050112 in poll_jobs (host=0x836fb40 "localhost", jobs=0x83aaed0, 
    mon=0x83a6b30) at ec-cups-job-monitor.c:429
#17 0x04673de6 in g_hash_table_foreach () from /usr/lib/libglib-2.0.so.0
#18 0x0804fe95 in poll_all_queues (mon=0x83a6b30) at ec-cups-job-monitor.c:488
#19 0x04680876 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
#20 0x0468015d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#21 0x046833ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#22 0x04683799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#23 0x049bd5d4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x0804efd1 in main (argc=) at main.c:206
#25 0x00c63724 in __libc_start_main () from /lib/libc.so.6
#26 0x0804ea01 in _start ()

Thread 1 (Thread -1208969536 (LWP 14963)):
#0  0x0029a402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00324c0b in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0677ee26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0029a402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00c76069 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x00c77671 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x04688c42 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#8  0x04688c79 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#9  0x04688cf6 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x080517e5 in job_timeout_cb (mon=0x83a6b30, 
    printer_name=0x836ddd0 "localhost", job_id=977, last_time=0x837be88, 
    model=0x83a3068) at ec-job-model.c:308
	current_state = EC_JOB_STATE_FINAL
	current_time = {tv_sec = 1149579340, tv_usec = 584464}
	iter = {stamp = 1035383576, user_data = 0x838bd68, user_data2 = 0x0, 
  user_data3 = 0x0}
	__PRETTY_FUNCTION__ = "job_timeout_cb"
	__FUNCTION__ = "job_timeout_cb"
#11 0x0025cf6d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x0026da3d in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x0026ef47 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x0026f109 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x0804fff1 in check_emit_job_timeout (mon=0x83a6b30, 
    host=0x836fb40 "localhost", monjob=0x837be80) at ec-cups-job-monitor.c:352
	current_time = {tv_sec = 1149579340, tv_usec = 584387}
	__FUNCTION__ = "check_emit_job_timeout"
#16 0x08050112 in poll_jobs (host=0x836fb40 "localhost", jobs=0x83aaed0, 
    mon=0x83a6b30) at ec-cups-job-monitor.c:429
	__FUNCTION__ = "poll_jobs"
#17 0x04673de6 in g_hash_table_foreach () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#18 0x0804fe95 in poll_all_queues (mon=0x83a6b30) at ec-cups-job-monitor.c:488
	__FUNCTION__ = "poll_all_queues"
#19 0x04680876 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#20 0x0468015d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#21 0x046833ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#22 0x04683799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#23 0x049bd5d4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x0804efd1 in main (argc=) at main.c:206
	client = (GnomeClient *) 0x8334820
	restart_argv = (GPtrArray *) 0x8357da0
	dotdir = 
Comment 2 Christian Iseli 2007-01-22 06:42:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 13:21:43 EDT
Fedora Core 5 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.